<?php
if (!isset($SITE)){
	header ("Location: ../index.php");	// back to index/startpage if someone tries an
	exit;  								//  page to load without our menu system
}
$pageName		= 'rain3Sources.php';		
$pageVersion	= '2.5x 2014-01-20';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
echo '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
#---------------------------------------------------------------------------
# 2.30 2013-09-08 release version 
#-------------------------------------------------------------------------------------------------
# Settings:
#
# US  / europe
$meRadarAvailable	= $brRadarAvailable = $hwaRainAvailable = $wuRadarAvailable = $wuStationAvailable = false;
if ($SITE['region'] == 'europe') {
	$meRadarAvailable	= true; 				// do we want to display Metox european radar
	$brRadarAvailable	= true; 				// do we want to display Benelux buienradar
	if ($SITE['hwaID']) {
		$hwaRainAvailable 	= true; 			// HWA radar
	}
} else {
	$wuRadarAvailable	= true; 				// Weather Underground radar (for us and canada)
	$wuRadarArea		= '2xradara1_anim.gif';	// find your area at http://www.wunderground.com/radar/mosaic.asp
	$wuStationAvailable	= true; 				// 
	$wuRadarStation		= 'WUJ';				// 
}
$imgStyle	= 'style="border-radius: 5px; -moz-border-radius: 5px;    -webkit-border-radius: 5px; padding: 0px; width: 100%; "';
#
?>
<div class="blockDiv">
<h3 class="blockHead"><?php langtrans('Precipitation forecasts') ?></h3>
<br />
<div class="tabber" style="width: 95%; margin: 10px auto;">
<?php 
if ($wuRadarAvailable) { echo '
<div class="tabbertab " style="padding: 0;">
<h3>'.langtransstr('WU Radar').' - mosaic</h3>
<img src="http://icons.wunderground.com/data/640x480/'.$wuRadarArea.'?dontcache=f43fb33fbc55303f8832c9893e5614af&amp;time='.time().'" '.$imgStyle.'  alt="  ">
</div>'.PHP_EOL;
}
if ($wuStationAvailable) { echo '
<div class="tabbertab " style="padding: 0;">
<h3>'.langtransstr('WU -  Radar').' - '.langtransstr('station').' '.$wuRadarStation.'</h3>
<img src="http://radblast.wunderground.com/cgi-bin/radar/WUNIDS_map?station='.$wuRadarStation.'&amp;brand=wui&amp;num=6&amp;delay=15&amp;type=C0R&amp;frame=0&amp;scale=1.000&amp;noclutter=0&amp;lat=0&amp;lon=0&amp;label=you&amp;showstorms=0&amp;map.x=400&amp;map.y=240&amp;centerx=400&amp;centery=240&amp;transx=0&amp;transy=0&amp;showlabels=1&amp;severe=0&amp;rainsnow=0&amp;lightning=0&amp;smooth=0&amp;time='.time().'"  '.$imgStyle.' alt="  ">
</div>'.PHP_EOL;
}
if ($hwaRainAvailable) { echo '
<div class="tabbertab" style="padding: 0;">
<h3>HWA - '. langtransstr('3 hours Benelux').'</h3>
<p style="width: 97%; margin: 10px;">Deze buienradarbeelden zijn tot stand gekomen door een samenwerkingsverband
 tussen Hetweeractueel.nl, HydroNET en Witteveen &amp; Bos. De neerslagradarbeelden van de
Nederlandse, Belgische en Duitse radars zijn samengevoegd, waardoor er een nauwkeuriger
beeld is. 
<br />Daarnaast wordt de neerslag gekalibreerd met de regenmeting van deelnemende
(amateur) weerstations van Hetweeractueel.nl, waar '.$SITE['organ'].' ook deel vanuit maakt.
</p>
<div style="width: 486px; margin: 0px auto;">
<iframe src="inc/hydronet.php?hwaid='.$SITE['hwaXmlId'].'"  style="border: none; overflow: hidden; width: 486px; height: 576px;"></iframe>
<p><small><b>De neerslaggegevens zijn tot stand gekomen met behulp van de HydroNET en Dataprofeet software.<br />Er kunnen geen rechten worden ontleend aan deze gegevens.
</b></small></p>
</div>
</div>'.PHP_EOL;
}
if ($meRadarAvailable) { echo '
<div class="tabbertab" style="padding: 0;">
<h3>Meteox -'.langtransstr('3 hours W-Europe').'</h3>
<h4  class="blockHead" style="margin: 20px 0 0 0;">'.langtransstr('Click on image for the meteox site with a lot of extra information').'</h4>'.PHP_EOL;
	if 		($SITE['lang'] == "nl") {$text='<a href="http://www.buienradar.nl/" target="_blank">';}
	elseif	($SITE['lang'] == "fr") {$text='<a href="http://www.meteox.fr/h.aspx?r=&amp;jaar=-3&amp;soort=exp" target="_blank">';}
	elseif	($SITE['lang'] == "de") {$text='<a href="http://www.meteox.de/h.aspx?r=&amp;jaar=-3&amp;soort=exp" target="_blank">';}
	else	{$text='<a href="http://www.meteox.co.uk/h.aspx?r=&amp;jaar=-3&amp;soort=exp" target="_blank">';}
	print $text;    // http://www.meteox.com/images.aspx?jaar=-3&voor=&soort=exp&c=&n=&tijdid=
					// http://europa.buienradar.nl/images.aspx?jaar=-3&amp;voor=&amp;soort=fcmb&amp;c=&amp;n=&amp;tijdid=
	echo '
	<img src="http://www.meteox.com/images.aspx?jaar=-3&amp;voor=&amp;soort=exp&amp;c=&amp;n=&amp;tijdid='.time().'"
	style="border: none; width: 100%; "
	alt="  "  />
	</a>
  </div>'.PHP_EOL;
}
if ($brRadarAvailable) { echo '
<div class="tabbertab" style="padding: 0;">
<h3>Buienradar - '.langtransstr('3 hours Benelux').'</h3>
<p style="width: 97%; margin: 10px;">Deze radarverwachting gaat 3 uur vooruit en is gebaseerd 
op 11 radarstations gecombineerd met actuele satellietbeelden. 
Met name de filtering op clutter of spookwaarnemingen is sterk verbeterd in deze radarverwachting. 
<br />Tevens houdt het door gebruik te maken van 9 buitenlandse radarstations rekening met de randen van de radar. 
Hierdoor worden buien, die bijvoorbeeld nu nog in de grensgebieden zitten van de Nederlandse radar, 
meegenomen in de verwachting. 
Dit biedt vooral als u verder dan 2 uur wilt kijken een goed beeld welke kant het qua regen op gaat.
</p> 
<h4  class="blockHead" style="margin: 20px 0 0 0;">'.langtransstr('Click on image for the meteox site with a lot of extra information').'</h4>'.PHP_EOL;
	if 		($SITE['lang'] == "nl") {$text='<a href="http://www.buienradar.nl/buienradar-3-uur-vooruit.aspx" target="_blank">';}
	elseif	($SITE['lang'] == "fr") {$text='<a href="http://www.meteox.fr/h.aspx?r=&amp;jaar=-3&amp;soort=exp" target="_blank">';}
	elseif	($SITE['lang'] == "de") {$text='<a href="http://www.meteox.de/h.aspx?r=&amp;jaar=-3&amp;soort=exp" target="_blank">';}
	else	{$text='<a href="http://www.meteox.co.uk/h.aspx?r=&amp;jaar=-3&amp;soort=exp" target="_blank">';}
	print $text;
	#			http://www.meteoradar.co.uk/Content/image.ashx?type=animated-12&time=
	echo '
	<img src="http://gratisweerdata.buienradar.nl/forecast/nl-eu-forecast/loop.gif?tijdid='.time().'" 
	style="border: none; width: 100%; "
	alt="  "  />
	</a>
</div>'.PHP_EOL;
}
?>
 </div>
</div>
<script type="text/javascript" src="javaScripts/tabber.js">
</script>
  